# Special_Basic_Arguments.h File Reference

`#include "ace/CDR_Stream.h"`
`#include "tao/Special_Basic_Argument_T.h"`
`#include "tao/Arg_Traits_T.h"`

Include dependency graph for Special_Basic_Arguments.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::Arg_Traits< ACE_InputCDR::to_char >
| Specializations for (w)char, octet and boolean. More...
class | TAO::Arg_Traits< ACE_InputCDR::to_wchar >
class | TAO::Arg_Traits< ACE_InputCDR::to_octet >
class | TAO::Arg_Traits< ACE_InputCDR::to_boolean >

## Detailed Description

Id
  Special_Basic_Arguments.h,v 1.5 2005/11/02 11:03:27 ossama Exp

Author:
  Jeff Parsons

  Carlos O'Ryan